API Reference
Authorization
ApiKeyAuth Authorization<token>
Use Bearer br_live_....
In: header
Path Parameters
assetId*string
suggestionId*string
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/workspace/media/assets/string/short-suggestions/string/apply" \ -H "Content-Type: application/json" \ -d '{ "project_id": "string" }'{ "success": true, "project_id": "string", "asset_id": "string", "suggestion_id": "string", "suggestion_status": "saved", "timeline_item_id": "string", "trim_start_seconds": 0, "trim_end_seconds": 0, "duration_seconds": 0, "source_duration_seconds": 0, "captions_added": 0, "caption_style_id": "string", "automatic_layout_attempted": true, "automatic_layout_applied": true, "automatic_layout_fallback_used": true, "speaker_aware_applied": true, "visual_qa_status": "not_required", "visual_qa_required": true, "visual_qa_passed": true, "preview_frame_count": 0, "qa_bypassed": true, "visual_qa": { "summary": "string", "issues": [ { "severity": "info", "title": "string", "details": "string", "suggested_fix": "string" } ], "suggested_next_edits": [ "string" ], "confidence": 0, "previews": [ { "preview_url": "string", "expires_at": "string", "storage_key": "string", "frame": 0, "time_seconds": 0, "width": 0, "height": 0, "image_format": "jpeg" } ], "visual_debug": { "layout_key": "string", "visible_media_rect": { "left": 0, "top": 0, "width": 0, "height": 0 }, "active_split_gap_rect": { "left": 0, "top": 0, "width": 0, "height": 0 } } }, "primary_layout": "manual", "analysis_status": "missing", "analysis_version": 0, "layout_summary": { "primary_layout": "manual", "layouts_used": [ "manual" ], "segment_count": 0, "split_segment_count": 0, "focus_segment_count": 0, "letterbox_segment_count": 0, "fallback_segment_count": 0 }, "warnings": [ "string" ]}